0ALIAS(1)

NAME
0alias — create quick scripts to run 0launch

SYNOPSIS
0alias ALIAS [INTERFACE [MAIN]]

DESCRIPTION

Having to keep typing the full URI for a program each time you want to run it with 0launch is annoying. 0alias will create a little script in your PATH to do it for you.

EXAMPLES

A program can be invoked using 0launch: 0launch http://rox.sourceforge.net/2005/interfaces/Edit

To avoid having to keep entering the URI, create an alias: 0alias rox-edit http://rox.sourceforge.net/2005/interfaces/Edit

To run Edit now: rox-edit

To select a different version, or check for updates: 0alias rox-edit

If an interface provides more than one program, you can specify which one to use instead of the default. e.g. 0alias svn http://example.com/subversion 0alias svnadmin http://example.com/subversion svnadmin

(this is for older programs that use MAIN; for newer programs you may need to use --command instead)

COMMAND-LINE OPTIONS

-c=COMMAND, --command=COMMAND
    The generated script will execute COMMAND rather than the default ("run").

-d=DIR, --dir=DIR
    Install the script into directory DIR, rather than searching for a suitable directory in $PATH.

-h, --help
    Show the built-in help text.

-m, --manpage
    Display the manpage for the alias script given as the single argument. The alias can be an absolute pathname, or the name of a script in $PATH. If the argument isn't an alias script, or if multiple arguments are given, then all arguments are passed to the system 'man' command. This allows you to alias your man command like this: alias man='0alias --manpage'

-r, --resolve
    Print the interface URI for the given alias script to stdout.

-V, --version
    Display version information.

LICENSE

Copyright (C) 2011 Thomas Leonard.

You may redistribute copies of this program under the terms of the GNU Lesser General Public License.

BUGS

Please report bugs to the developer mailing list: http://0install.net/support.html

AUTHOR

The Zero Install Injector was created by Thomas Leonard.

SEE ALSO
0launch(1), 0desktop(1)

The Zero Install web-site: http://0install.net